This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434134 - xmms-scrobbler failed massrebuild attempt for GCC 4.3
xmms-scrobbler failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmms-scrobbler (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:08 EST by Jesse Keating
Modified: 2013-01-09 21:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 00:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:08:56 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=439720
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-23 22:02:50 EST
Errors in ppc64 build.log:

 gcc -DHAVE_CONFIG_H -I. -Wall -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc -I.
-I. -I/usr/include/xmms -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2
-I/usr/lib64/glib/include -DMAKE_XMMS=1 -DCLIENT=\"XMMS-Scrobbler\"
"-DUSER_AGENT=\"AudioScrobbler/1.1 XMMS/1.2.10/0.4.0 Linux\"" -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mminimal-toc -MT libxmms_scrobbler_la-tags.lo -MD -MP -MF
.deps/libxmms_scrobbler_la-tags.Tpo -c tags/tags.c  -fPIC -DPIC -o
.libs/libxmms_scrobbler_la-tags.o
tags/tags.c:24:19: error: tag_c.h: No such file or directory
tags/tags.c: In function 'get_tag_data':
tags/tags.c:117: error: 'TagLib_File' undeclared (first use in this function)
tags/tags.c:117: error: (Each undeclared identifier is reported only once
tags/tags.c:117: error: for each function it appears in.)
tags/tags.c:117: error: 'file' undeclared (first use in this function)
tags/tags.c:118: error: 'TagLib_Tag' undeclared (first use in this function)
tags/tags.c:118: error: 'tag' undeclared (first use in this function)
tags/tags.c:119: error: expected '=', ',', ';', 'asm' or '__attribute__' before
'*' token
tags/tags.c:119: error: 'properties' undeclared (first use in this function)
Comment 2 Bug Zapper 2008-05-14 01:27:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matt Domsch 2008-07-08 00:41:48 EDT
builds as of 2008-07-03, version 0.3.8.1-3.fc10.

Note You need to log in before you can comment on or make changes to this bug.